Bug 1420667 - master.etcd-client.crt and master.etcd-client.key wouldn't be redeployed in embedded-etcd env
Summary: master.etcd-client.crt and master.etcd-client.key wouldn't be redeployed in e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks: 1397958
TreeView+ depends on / blocked
 
Reported: 2017-02-09 08:50 UTC by Gaoyun Pei
Modified: 2017-07-24 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-11 21:23:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0903 0 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-04-12 22:45:42 UTC

Description Gaoyun Pei 2017-02-09 08:50:18 UTC
Description of problem:
For embedded-etcd env, certificate redeploy playbooks wouldn't redeploy the etcd client certificates files: master.etcd-client.crt and master.etcd-client.key.


Version-Release number of selected component (if applicable):
openshift-ansible-3.5.5-1.git.0.3ae2138.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1.Run 'ansible-playbook -i host playbooks/byo/openshift-cluster/redeploy-etcd-certificates.yml'
or
'ansible-playbook -i host playbooks/byo/openshift-cluster/redeploy-master-certificates.yml'


Actual results:
It's a little hard to say which playbook should redeploy the two etcd client certificates files in embedded-etcd env, but none of them did that.

Expected results:

Additional info:

Comment 1 openshift-github-bot 2017-02-10 19:02:40 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/eacd7148d34a0410407819a41bccdb7ec34bec2e
Merge pull request #3331 from abutcher/embedded-etcd-client-cert

Bug 1420667: Ensure etcd client certs are regenerated with embedded etcd.

Comment 3 Gaoyun Pei 2017-02-12 03:33:20 UTC
Verify this bug with openshift-ansible-3.5.7-1.git.0.5010dec.el7.noarch.rpm

After redeploy master certificates in embedded-etcd env, master.etcd-client.crt and master.etcd-client.key files also were replaced.


Note You need to log in before you can comment on or make changes to this bug.